/*
 * Copyright (C) Sea s.r.o. 2004. All Rights reserved.
 *
 * Thread to copy one stream to another
 *
 */

/* History:
 */
package com.sea.utils;

import com.sea.log.Logger;

public class Info extends Thread {

// --------------------------------------------------
// Public Properties
// --------------------------------------------------
// --------------------------------------------------
// Private Properties
// --------------------------------------------------
private static Info instance = null;
// For signaling thread to stop
private boolean bRunning = true;


/**
 * Constructor
 */
public Info() {
  super();
}


/**
 * getInstance()
 */
public static Info getInstance() {
  if (instance == null) {
    instance = new Info();
  }
  return instance;
}


public void startRunning() {
  bRunning = true;
  start();
}


public void stopRunning() {
  bRunning = false;
  this.interrupt();
}


public void run() {

  while (bRunning) {
    try {
      this.sleep(5000);
    } catch (Exception ignored) {
    }

    writeInfo();
  }

}


public static void writeInfo() {
//  System.gc();
  Logger.log("***", "Free memory = " + Runtime.getRuntime().freeMemory());
}

}
