/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.sea.io;

import com.sea.utils.Utils;
import java.io.ByteArrayOutputStream;

/**
 *
 * @author Vorisek
 */
public class VorByteArrayOutputStream extends ByteArrayOutputStream {

/**
 * Creates a new byte array output stream, with a buffer capacity of the specified size, in bytes.
 * 
 * @param size the initial size.
 */
public VorByteArrayOutputStream(int size) {
  super(size);
}

/**
 * Returns internal buffer with data
 * 
 * @return 
 */
public byte[] getByteArray() {
  return buf;
}

/**
 * Returns internal count
 * @return 
 */
public int getCount() {
  return count;
}

/**
 * Returns a string representation of the object. 
 * 
 * @return 
 */
public String toString() {
  return Utils.pckt2str(buf, 0, count);

}


}
